use dioxus::prelude::*;

use crate::Route;

#[component]
pub fn Home() -> Element {
    rsx! {
        div {
            class: "hero pt-40",
            div {
                class: "hero-content text-center",
                div {
                    class: "max-w-2xl",
                    h1 { class: "text-5xl font-bold", "Xeovalyte's Minecraft Mod Manager" },
                    p { class: "py-6", "XVMCMM is a mod manager for the modrinth website. Create, update and export your modpacks with ease to the .mrpack format." },
                    Link { class: "btn btn-primary", to: Route::Modpacks {}, "Get Started" },
                }
            }
        }
    }
}
